Upload a project asset
POST
Upload an image for a project and return its public URL.
Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
projectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidmultipart/form-data- body
file*||||Format
binaryLength
length <= 10485760OK
application/json- response
url*stringFormat
uripath*stringLength
1 <= lengthassets*array<>curl -X POST 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/assets' \
-F 'file=null'Example Response
{
"url": "http://example.com",
"path": "string",
"assets": [
"http://example.com"
]
}